Yum notes

From Wiki
Revision as of 17:27, 12 June 2019 by Admin (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

To pin a package to a specific version you can use the versionlock plugin for yum.

yum install yum-plugin-versionlock

Install the version of the package that you want. For example, to downgrade puppet:

yum downgrade puppet-server-3.2.1-1.el6.noarch puppet-3.2.1-1.el6.noarch
yum versionlock puppet
yum versionlock puppet-server

Repo file for RHEL 8 beta:

First mount the ISO file.

mkdir -p /var/mnt/cdrom
mount -t iso9660 /dev/cdrom /var/mnt/cdrom/
[InstallMedia]
name=DVD for Red Hat Enterprise Linux 8
metadata_expire=-1
gpgcheck=1
cost=500
enabled=1
baseurl=file:///var/mnt/cdrom/BaseOS
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta